﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PDFReader_Demo_CSharp.UI
{
    public partial class SearchDlg : Form
    {
        private MainForm m_mainForm = null;
        public SearchDlg(MainForm mainForm)
        {
            InitializeComponent();
            m_mainForm = mainForm;
            this.FindNextButton.Enabled = false;
        }

        private void FindNextButton_Click(object sender, EventArgs e)
        {
            if (m_mainForm == null) return;
            int direction = -1;
            if (DownRadioButton.Checked == true)
                direction = 0;
            m_mainForm.SearchText(searchBox.Text, caseSensitiveCheckBox.Checked, WholeWordsOnlyCheckBox.Checked, direction);
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
           this.Close();
        }

        private void SearchDlg_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (m_mainForm.m_rectSearchPageList != null)
            {
                m_mainForm.m_rectSearchPageList.RemoveRange(0, m_mainForm.m_rectSearchPageList.Count);
                m_mainForm.m_rectSearchPageList = null;
            }
            m_mainForm.EnableSearchToolStripButon(true);
            m_mainForm.m_bSearching = false;
        }

        private void searchBox_TextChanged(object sender, EventArgs e)
        {
            if (!searchBox.Text.Equals(""))
            {
                this.FindNextButton.Enabled = true;
            }
            else
            {
                this.FindNextButton.Enabled = false;
            }
        }
    }
}
